Skip to main content
`Ctrl`+`K`

# VecExp

Replaces each component of a vector by e^x_i

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecExp(Vec v)

Not Collective

## Input Parameter

- v - The vector

## Output Parameter

- v - The vector of exponents

## See Also

`Vec`, `VecLog()`, `VecAbs()`, `VecSqrtAbs()`, `VecReciprocal()`

## Level

beginner

## Location

src/vec/vec/utils/vinv.c

## Examples

src/tao/pde_constrained/tutorials/parabolic.c
src/tao/pde_constrained/tutorials/elliptic.c
src/tao/pde_constrained/tutorials/hyperbolic.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages